Package org.eclipse.ui.texteditor

## Interface IWorkbenchActionDefinitionIds

All Known Subinterfaces:
  `ITextEditorActionDefinitionIds`

    public interface IWorkbenchActionDefinitionIds

Defines the definitions ids for workbench actions.

This interface must not be implemented by clients.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `ADD_BOOKMARK` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_ADD_BOOKMARK`
`static String` `ADD_TASK` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_ADD_TASK`
`static String` `COPY` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_COPY`
`static String` `CUT` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_CUT`
`static String` `DELETE` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_DELETE`
`static String` `FIND_INCREMENTAL` Action definition id of the edit incremental find action.
`static String` `FIND_INCREMENTAL_REVERSE` Action definition id of the edit incremental find reverse action.
`static String` `FIND_NEXT` Action definition id of the edit find next action.
`static String` `FIND_PREVIOUS` Action definition id of the edit find previous action.
`static String` `FIND_REPLACE` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_FIND_AND_REPLACE`
`static String` `MOVE` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_MOVE`
`static String` `PASTE` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_PASTE`
`static String` `PRINT` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_PRINT`
`static String` `PROPERTIES` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_PROPERTIES`
`static String` `REDO` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_REDO`
`static String` `RENAME` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_RENAME`
`static String` `REVERT` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_REVERT`
`static String` `REVERT_TO_SAVED` Deprecated. As of 3.4, replaced by `REVERT`
`static String` `SAVE` Deprecated. As of 3.5, no longer used
`static String` `SELECT_ALL` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_SELECT_ALL`
`static String` `UNDO` Deprecated. As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_UNDO`

### Field Detail

#### PRINT

    @Deprecated
    static final String PRINT

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_PRINT`
Action definition id of the file print action. Value: `"org.eclipse.ui.file.print"`

See Also:
  Constant Field Values

#### SAVE

    @Deprecated
    static final String SAVE

Deprecated.
As of 3.5, no longer used
Action definition id of the file save action. Value: `"org.eclipse.ui.file.save"`

See Also:
  Constant Field Values

#### REVERT_TO_SAVED

    @Deprecated
    static final String REVERT_TO_SAVED

Deprecated.
As of 3.4, replaced by `REVERT`
Action definition id of the file revert action. Value: `"org.eclipse.ui.edit.revertToSaved"`

See Also:
  Constant Field Values

#### REVERT

    @Deprecated
    static final String REVERT

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_REVERT`
Action definition id of the file revert action. Value: `"org.eclipse.ui.file.revert"`

Since:
  3.4
See Also:
  Constant Field Values

#### PROPERTIES

    @Deprecated
    static final String PROPERTIES

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_PROPERTIES`
Action definition id of the file properties action. Value: `"org.eclipse.ui.file.properties"`

Since:
  3.1
See Also:
  Constant Field Values

#### CUT

    @Deprecated
    static final String CUT

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_CUT`
Action definition id of the edit cut action. Value: `"org.eclipse.ui.edit.cut"`

See Also:
  Constant Field Values

#### COPY

    @Deprecated
    static final String COPY

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_COPY`
Action definition id of the edit copy action. Value: `"org.eclipse.ui.edit.copy"`

See Also:
  Constant Field Values

#### PASTE

    @Deprecated
    static final String PASTE

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_PASTE`
Action definition id of the edit past action. Value: `"org.eclipse.ui.edit.paste"`

See Also:
  Constant Field Values

#### UNDO

    @Deprecated
    static final String UNDO

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_UNDO`
Action definition id of the edit undo action. Value: `"org.eclipse.ui.edit.undo"`

See Also:
  Constant Field Values

#### REDO

    @Deprecated
    static final String REDO

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_REDO`
Action definition id of the edit redo action. Value: `"org.eclipse.ui.edit.redo"`

See Also:
  Constant Field Values

#### DELETE

    @Deprecated
    static final String DELETE

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_DELETE`
Action definition id of the edit delete action. Value: `"org.eclipse.ui.edit.delete"`

See Also:
  Constant Field Values

#### SELECT_ALL

    @Deprecated
    static final String SELECT_ALL

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_SELECT_ALL`
Action definition id of the edit select all action. Value: `"org.eclipse.ui.edit.selectAll"`

See Also:
  Constant Field Values

#### FIND_REPLACE

    @Deprecated
    static final String FIND_REPLACE

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_FIND_AND_REPLACE`
Action definition id of the edit find/replace action. Value: `"org.eclipse.ui.edit.findReplace"`

See Also:
  Constant Field Values

#### ADD_BOOKMARK

    @Deprecated
    static final String ADD_BOOKMARK

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_ADD_BOOKMARK`
Action definition id of the edit add bookmark action. Value: `"org.eclipse.ui.edit.addBookmark"`

See Also:
  Constant Field Values

#### ADD_TASK

    @Deprecated
    static final String ADD_TASK

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.EDIT_ADD_TASK`
Action definition id of the edit add task action. Value: `"org.eclipse.ui.edit.addTask"`

See Also:
  Constant Field Values

#### MOVE

    @Deprecated
    static final String MOVE

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_MOVE`
The command identifier for the "move" action that typically appears in the file menu. Value: `"org.eclipse.ui.edit.move"`

Since:
  3.0
See Also:
  Constant Field Values

#### RENAME

    @Deprecated
    static final String RENAME

Deprecated.
As of 3.5, replaced by `IWorkbenchCommandConstants.FILE_RENAME`
The command identifier for the "rename" action that typically appears in the file menu. Value: `"org.eclipse.ui.edit.rename"`

Since:
  3.0
See Also:
  Constant Field Values

#### FIND_NEXT

    static final String FIND_NEXT

Action definition id of the edit find next action. Value: `"org.eclipse.ui.edit.findNext"`

See Also:
  Constant Field Values

#### FIND_PREVIOUS

    static final String FIND_PREVIOUS

Action definition id of the edit find previous action. Value: `"org.eclipse.ui.edit.findPrevious"`

See Also:
  Constant Field Values

#### FIND_INCREMENTAL

    static final String FIND_INCREMENTAL

Action definition id of the edit incremental find action. Value: `"org.eclipse.ui.edit.findIncremental"`

See Also:
  Constant Field Values

#### FIND_INCREMENTAL_REVERSE

    static final String FIND_INCREMENTAL_REVERSE

Action definition id of the edit incremental find reverse action. Value: `"org.eclipse.ui.edit.findIncrementalReverse"`

Since:
  2.1
See Also:
  Constant Field Values